PHP Manual
Prev |  | Next

# zend_call_method

zend_call_method -- ...

## Description

#include <zend_interfaces.h>

zval* zend_call_method ( zval** object_pp, zend_class_entry* obj_ce, zend_function** fn_proxy, char* function_name, int function_name_len, zval** retval_ptr_ptr, int param_count, zval* arg1, zval* arg2, magic TSRMLS_DC )

...

## Parameters

object_pp

  ...

obj_ce

  ...

fn_proxy

  ...

function_name

  ...

function_name_len

  ...

retval_ptr_ptr

  ...

param_count

  ...

arg1

  ...

arg2

  ...

TSRMLS_DC

  ...

## Return Values

...

Prev | Home | Next
zend_call_method_with_2_params | Up | zend_case_fold_string